Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 825145 - Please backport the reloadConfig() method from rpm 4.10's Python API
Summary: Please backport the reloadConfig() method from rpm 4.10's Python API
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-25 08:41 UTC by Mathieu Bridon
Modified: 2013-08-01 07:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 07:55:50 UTC


Attachments (Terms of Use)
backport of reloadConfig() (from master) (deleted)
2012-05-25 08:41 UTC, Mathieu Bridon
no flags Details | Diff

Description Mathieu Bridon 2012-05-25 08:41:54 UTC
Created attachment 586801 [details]
backport of reloadConfig() (from master)

Description of problem:
From a discussion today in #fedora-devel:
<Panu> just fyi: using the rpm api for parsing specs has some not-so-obvious [... <Panu> the spec parse can and will affect the global rpm macro "environment" - eg macros defined by the spec will remain there after parsing
<Panu> ...and that in turn can and does affect results if you parse more than one spec (or just the same spec more than once) per process lifetime
[... snip ...]
<Panu> rpm 4.10 exports reloadConfig() function to python that'll reset the configuration, but for older versions the answer is "you dont want to do it" I'm afraid
<Panu> mind you, reloadConfig() is something that would be fairly trivial to backport to rpm 4.8 and 4.9 (so rhel-6 and upwards)

I'm attaching a patch which applies on top of upstream's rpm-4.9.1.3-release branch, as well as on the Fedora 16 and Fedora 17 package.

This bug is about Fedora 17, but I'd love to have it in Fedora 16 as well, do you want a separate bug report?

Comment 1 Mathieu Bridon 2012-06-26 10:05:44 UTC
Ping?

Comment 2 Fedora End Of Life 2013-07-04 02:17:12 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 07:56:00 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.